Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.870813
Category:Red Hat Local Security Checks
Title:RedHat Update for libvirt RHSA-2012:1202-01
Summary:The remote host is missing an update for the 'libvirt'; package(s) announced via the referenced advisory.
Description:Summary:
The remote host is missing an update for the 'libvirt'
package(s) announced via the referenced advisory.

Vulnerability Insight:
The libvirt library is a C API for managing and interacting with the
virtualization capabilities of Linux and other operating systems. In
addition, libvirt provides tools for remote management of virtualized
systems.

A flaw was found in libvirtd's RPC call handling. An attacker able to
establish a read-only connection to libvirtd could trigger this flaw with a
specially-crafted RPC command that has the number of parameters set to 0,
causing libvirtd to access invalid memory and crash. (CVE-2012-3445)

This update also fixes the following bugs:

* Previously, repeatedly migrating a guest between two machines while using
the tunnelled migration could cause the libvirt daemon to lock up
unexpectedly. The bug in the code for locking remote drivers has been fixed
and repeated tunnelled migrations of domains now work as expected.
(BZ#847946)

* Previously, when certain system locales were used by the system, libvirt
could issue incorrect commands to the hypervisor. This bug has been fixed
and the libvirt library and daemon are no longer affected by the choice of
the user locale. (BZ#847959)

All users of libvirt are advised to upgrade to these updated packages,
which contain backported patches to correct these issues. After installing
the updated packages, libvirtd will be restarted automatically.

Affected Software/OS:
libvirt on Red Hat Enterprise Linux Desktop (v. 6),
Red Hat Enterprise Linux Server (v. 6),
Red Hat Enterprise Linux Workstation (v. 6)

Solution:
Please Install the Updated Packages.

CVSS Score:
3.5

CVSS Vector:
AV:N/AC:M/Au:S/C:N/I:N/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2012-3445
BugTraq ID: 54748
http://www.securityfocus.com/bid/54748
https://bugzilla.redhat.com/show_bug.cgi?id=844734
https://www.redhat.com/archives/libvir-list/2012-July/msg01650.html
http://www.openwall.com/lists/oss-security/2012/07/31/4
http://www.openwall.com/lists/oss-security/2012/07/31/7
RedHat Security Advisories: RHSA-2012:1202
http://rhn.redhat.com/errata/RHSA-2012-1202.html
http://secunia.com/advisories/50118
http://secunia.com/advisories/50299
http://secunia.com/advisories/50372
SuSE Security Announcement: openSUSE-SU-2012:0991 (Google Search)
http://lists.opensuse.org/opensuse-updates/2012-08/msg00023.html
CopyrightCopyright (c) 2012 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.